package com.miaxis.pc.controller;

import com.miaxis.common.core.controller.BaseController;
import com.miaxis.common.core.page.ResponsePageInfo;
import com.miaxis.order.domain.OrderSplit;
import com.miaxis.order.service.IOrderSplitService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 【分账记录】Controller
 *
 * @author miaxis
 * @date 2024-01-31
 */
@RestController
@RequestMapping("/order/split")
@Api(tags = {"【PC-分账记录】"})
public class PcOrderSplitController extends BaseController {
    @Autowired
    private IOrderSplitService orderSplitService;

    /**
     * 查询分账记录列表
     */
    @GetMapping("/list")
    @ApiOperation("查询分账记录列表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "当前页码", dataType = "int", paramType = "query", required = false),
            @ApiImplicitParam(name = "pageSize", value = "每页数据量", dataType = "int", paramType = "query", required = false),
    })
    public ResponsePageInfo<OrderSplit> list(@ModelAttribute OrderSplit orderSplit) {
        startPage();
        List<OrderSplit> list = orderSplitService.selectOrderSplitList(orderSplit);
        return toResponsePageInfo(list);
    }



    /**
     * 获取分账记录详细信息

    @GetMapping(value = "/{id}")
    @ApiOperation("获取分账记录详细信息")
    public Response<OrderSplit> getInfo(
            @ApiParam(name = "id", value = "分账记录参数", required = true)
            @PathVariable("id") Long id
    ) {
        return Response.success(orderSplitService.getById(id));
    }
     */

}
