package com.miaxis.job;

import com.miaxis.common.core.domain.entity.SysDictData;
import com.miaxis.order.domain.OrderInfo;
import com.miaxis.order.service.IOrderInfoService;
import com.miaxis.system.service.ISysDictDataService;
import com.miaxis.wx.service.IWxOrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;

@Slf4j
@Component
public class AppAdJob {


    @Autowired
    private ISysDictDataService dictDataService;
    @Autowired
    private IWxOrderService wxOrderService;
    @Autowired
    private IOrderInfoService orderInfoService;



   // @Scheduled(cron = "0 0 19 * * ?")
    public void openAd()  {
        log.info("--------打开广告！~---------------");
        SysDictData splashAd = dictDataService.selectDictDataById(104l);
        SysDictData nativeAd = dictDataService.selectDictDataById(105l);
        SysDictData bannerAd = dictDataService.selectDictDataById(106l);

        splashAd.setDictValue("1");
        nativeAd.setDictValue("1");
        bannerAd.setDictValue("1");
        dictDataService.updateDictData(splashAd);
        dictDataService.updateDictData(nativeAd);
        dictDataService.updateDictData(bannerAd);

    }


  //  @Scheduled(cron = "0 30 7 * * ?")
    public void closeAd()  {
        log.info("--------关闭广告！~---------------");
        SysDictData splashAd = dictDataService.selectDictDataById(104l);
        SysDictData nativeAd = dictDataService.selectDictDataById(105l);
        SysDictData bannerAd = dictDataService.selectDictDataById(106l);
        splashAd.setDictValue("0");
        nativeAd.setDictValue("0");
        bannerAd.setDictValue("0");
        dictDataService.updateDictData(splashAd);
        dictDataService.updateDictData(nativeAd);
        dictDataService.updateDictData(bannerAd);

    }


    //@Scheduled(cron = "0 30 6 * * ?")
    public void closeAd2()  {
        log.info("--------现在是6点半！~---------------");
    }


    @Scheduled(cron = "0 0/1 * * * ?")
    public void wxProfitsharing()  {
        log.info("--------现在开始执行每1分钟一次的微信分帐！~---------------");

        List<OrderInfo> orderInfoList = orderInfoService.selectOrderInfoByWaitProfit();
        for (int i = 0; i < orderInfoList.size(); i++) {
            OrderInfo orderInfo = orderInfoList.get(i);
            try {
                wxOrderService.wxAddFenZhang(orderInfo); //添加
                wxOrderService.wxProfitsharing(orderInfo);
            } catch (Exception e) {
                e.printStackTrace();
            }

        }


    }


}
