package com.miaxis.order.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 分账记录对象 order_split
 *
 * @author miaxis
 * @date 2024-01-31
 */
@Data
@TableName("order_split")
@ApiModel(value = "OrderSplit", description = "分账记录对象 order_split")
public class OrderSplit extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** ID */
    @TableId(value = "id")
    @ApiModelProperty(value = "ID")
    private Long id;

    /** 商户内部分账订单ID */
    @Excel(name = "商户内部分账订单ID")
    @TableField("out_split_no")
    @ApiModelProperty(value = "商户内部分账订单ID")
    private String outSplitNo;

    /** 商户内部订单ID */
    @Excel(name = "商户内部订单ID")
    @TableField("out_trade_no")
    @ApiModelProperty(value = "商户内部订单ID")
    private String outTradeNo;

    /** 分账金额 */
    @Excel(name = "分账金额")
    @TableField("amount")
    @ApiModelProperty(value = "分账金额")
    private Integer amount;

    /** 分账到openid或商户号 */
    @Excel(name = "分账到openid或商户号")
    @TableField("open_id")
    @ApiModelProperty(value = "分账到openid或商户号")
    private String openId;

    /** 前端类型 1:app 2:小程序 3:公众号 */
    @Excel(name = "前端类型 1:app 2:小程序 3:公众号")
    @TableField("open_id_type")
    @ApiModelProperty(value = "前端类型 1:app 2:小程序 3:公众号")
    private Integer openIdType;


    /** 描述 */
    @Excel(name = "描述")
    @TableField("description")
    @ApiModelProperty(value = "描述")
    private String description;


}
