package com.miaxis.order.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.order.domain.OrderSplit;
import com.miaxis.order.mapper.OrderSplitMapper;
import com.miaxis.order.service.IOrderSplitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 分账记录Service业务层处理
 *
 * @author miaxis
 * @date 2024-01-31
 */
@Service
public class OrderSplitServiceImpl extends ServiceImpl<OrderSplitMapper, OrderSplit> implements IOrderSplitService {
    @Autowired
    private OrderSplitMapper orderSplitMapper;

    /**
     * 查询分账记录列表
     *
     * @param orderSplit 分账记录
     * @return 分账记录
     */
    @Override
    public List<OrderSplit> selectOrderSplitList(OrderSplit orderSplit){
        return orderSplitMapper.selectOrderSplitList(orderSplit);
    }
}
