package com.miaxis.order.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 分账记录对象 order_split
 *
 * @author miaxis
 * @date 2024-01-31
 */
@Data
public class OrderSplitVo {
    private static final long serialVersionUID = 1L;

    /** ID */
    @ApiModelProperty(value = "ID")
    private Long id;

    /** 商户内部分账订单ID */
    @ApiModelProperty(value = "商户内部分账订单ID")
    private String outSplitNo;


    /** 商户内部订单ID */
    @ApiModelProperty(value = "商户内部订单ID")
    private String outTradeNo;


    /** 分账金额 */
    @ApiModelProperty(value = "分账金额")
    private Integer amount;

    /** 分账到openid或商户号 */
    @ApiModelProperty(value = "分账到openid或商户号")
    private String openId;

    /** 前端类型 1:app 2:小程序 3:公众号 */
    @ApiModelProperty(value = "前端类型 1:app 2:小程序 3:公众号")
    private Integer openIdType;


    /** 描述 */
    @ApiModelProperty(value = "描述")
    private String description;

    /** 昵称 */
    @ApiModelProperty(value = "昵称")
    private String nickName;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间"  ,hidden = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}
